<!--
title: snmpwalk with numeric and text output of oid
-->

```
snmpwalk -v 2c -c $COMMUNITY -On $HOST $BASE_OID | while read -r line; do 
  oid=`echo $line | awk '{print $1}'`
  textoid=`snmptranslate $oid`
  value=`echo $line | cut -d ' ' -f 3-`
  echo "$oid ($textoid): $value" 
done
```
